package net.sf.javaprinciples.resource.servlet;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.servlet.RequestToViewNameTranslator;

public class ResourceViewNameTranslator implements RequestToViewNameTranslator
{
    private String viewName;
    
    /**
     * @param request Never null
     * @return A fixed view, never null
     * @throws Exception never.
     */
    @Override
    public String getViewName(HttpServletRequest request) throws Exception
    {
        return viewName;
    }

    /**
     * 
     * @param viewName Never null
     */
    public void setViewName(String viewName)
    {
        this.viewName = viewName;
    }

    /**
     * 
     * @return Only null when not injected.
     */
    public String getViewName()
    {
        return viewName;
    }
}
